Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class ModifierType

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.ModifierType

    public final class ModifierType

extends Object

Field Summary
`static String` | `cName`
`static ModifierType` | `FIXED_OFF`
`static ModifierType` | `FIXED_PRICE`
`static int` | `I_FIXED_OFF`
`static int` | `I_FIXED_PRICE`
`static int` | `I_PERCENT_OFF`
`static ModifierType` | `PERCENT_OFF`
`static String` | `S_FIXED_OFF`
`static String` | `S_FIXED_PRICE`
`static String` | `S_PERCENT_OFF`

Method Summary
`boolean` | `equals(Object object)`
`int` | `getInt()`
`static ModifierType` | `getObject(String token)`
`String` | `getString()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also
  Constants Summary

### I_PERCENT_OFF

    public static final int I_PERCENT_OFF

See Also
  Constants Summary

### I_FIXED_OFF

    public static final int I_FIXED_OFF

See Also
  Constants Summary

### I_FIXED_PRICE

    public static final int I_FIXED_PRICE

See Also
  Constants Summary

### PERCENT_OFF

    public static final ModifierType PERCENT_OFF

### FIXED_OFF

    public static final ModifierType FIXED_OFF

### FIXED_PRICE

    public static final ModifierType FIXED_PRICE

### S_PERCENT_OFF

    public static final String S_PERCENT_OFF

See Also
  Constants Summary

### S_FIXED_OFF

    public static final String S_FIXED_OFF

See Also
  Constants Summary

### S_FIXED_PRICE

    public static final String S_FIXED_PRICE

See Also
  Constants Summary

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

### getInt

    public int getInt()

### getObject

    public static ModifierType getObject(String token)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved